#!/usr/bin/bash
# Dump all MariaDB databases
set -e
#OUTPUT="{{ mariadb_backup_dir  | quote }}/$(date +{{ mariadb_backup_filename_format | quote }})"
if [ -z "$OUTPUT" ]; then
        echo "ERROR: OUTPUT variable not set"
        exit 2
fi

/usr/bin/mysqldump --all-databases --add-drop-database | gzip > "$OUTPUT.tmp.gz"

size=$(stat -c%s "$OUTPUT.tmp.gz")
if [ $size -lt {{ mariadb_backup_minimum_expected_size }} ]; then
    echo "ERROR: Database backup '$OUTPUT.tmp.gz' is less than {{ mariadb_backup_minimum_expected_size }} bytes"
    exit 2
fi

mv "$OUTPUT.tmp.gz" "$OUTPUT.gz"

{% if mariadb_cron_delete_old_files | default(true) | bool %}
# find mysql dump files older than 31 days, except first of each month
if [ -z "$OUTPUT_DIR" ]; then
        echo "ERROR: OUTPUT_DIR variable not set"
        exit 2
fi

cd $OUTPUT_DIR  && find -regextype posix-extended  -mtime +31 -regex "{{ mariadb_delete_regex | default('.*([1-3][0-9]|0[2-9]).mysqldump.*') }}" -delete
{% endif %}
